This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 585478 - RFE: VDE: Add support for VDE(2) as a virtual network backend impl
RFE: VDE: Add support for VDE(2) as a virtual network backend impl
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All All
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks: libvirtTodoNetwork
  Show dependency treegraph
 
Reported: 2010-04-24 05:48 EDT by Erik de Castro Lopo
Modified: 2015-10-11 12:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-11 12:35:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch adding vde support to libvirt (against 0.10.2) (5.87 KB, patch)
2012-10-15 01:27 EDT, Tom Prince
no flags Details | Diff
Corresponding patch to virtinst-0.600.3 (4.13 KB, patch)
2012-10-15 02:26 EDT, Tom Prince
no flags Details | Diff

  None (edit)
Description Erik de Castro Lopo 2010-04-24 05:48:58 EDT
Description of problem:

There is currently no support for VDE2 networked machines. 

Eg, when running:

    virsh domxml-from-native qemu-argv run.argc

with a run.argc file containing:

    kvm -nographic -m 1024 -hda /path/to/img.qcow2 \
      -net nic,vlan=0,model=rtl8139,macaddr=52:54:16:32:43:21 \
      -net vde,vlan=0,group=vde2-net,mode=0770,sock=/var/run/qemu-vde-ctl

the second -net lines gets silently dropped from the generated XML file.

I'm sure this is not the only aspect of VDE networking that isn't supported.
Comment 1 Tom Prince 2012-10-15 01:27:50 EDT
Created attachment 627200 [details]
Patch adding vde support to libvirt (against 0.10.2)

This basicallay forward ports the patch origanally posted
https://www.redhat.com/archives/libvir-list/2011-January/msg00404.html

A followup message to that suggested that this would be better handled by using vde to handle the network definition for user virtual machines. While I think that is also worthwhile, I think this is also beneficial. For example, a priveledged user could create a vde_switch with access to the outside world, and allow users in a given group to create virtual machines that connect to that switch.
Comment 2 Tom Prince 2012-10-15 02:26:53 EDT
Created attachment 627212 [details]
Corresponding patch to virtinst-0.600.3
Comment 3 Cole Robinson 2015-10-11 12:35:12 EDT
vde seems quite dead upstream these days. and given that there's been lots of work put in to making libvirt support openvswitch, there's already an alternative there. so I don't think it makes sense to explicitly track this anymore. closing

Note You need to log in before you can comment on or make changes to this bug.